View Issue Details

IDProjectCategoryView StatusLast Update
0001368FreeCADBugpublic2015-12-15 13:15
Reporterpkoning2Assigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.16 
Summary0001368: Subclassing Matrix silently fails
DescriptionTo work around issue 1364 in the build I have, I tried to subclass Base.Matrix to override the move method.
That was accepted, and I can construct objects of the subclass. But it doesn't actually work; the constructed objects have the wrong class (the base class Base.Matrix).
It would be good for subclassing to work, but if it's not going to work, the FreeCAD builtin classes should be marked as not permitting subclassing.
Steps To Reproduceclass M(Base.Matrix): pass
m=M()
assert (type(m) == M)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-01-27 16:58 pkoning2 New Issue
2015-10-12 16:29 wmayer Changeset attached => FreeCAD Master master 706d1593
2015-10-12 16:29 wmayer Assigned To => wmayer
2015-10-12 16:29 wmayer Status new => closed
2015-10-12 16:29 wmayer Resolution open => fixed
2015-10-12 20:38 wmayer Changeset attached => FreeCAD Master master 5cc7f8b1
2015-12-15 13:15 yorik Fixed in Version => 0.16